Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImagingFactory Class Reference

`#include <vtkImagingFactory.h>`

Inheritance diagram for vtkImagingFactory:

[legend]
Collaboration diagram for vtkImagingFactory:

[legend]
List of all members.

## Detailed Description

Date:
  2002/08/22 18:39:30

Revision:
  1.13

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (52%)
  - Starreveld, Yves (14%)
  - Geveci, Berk (12%)
  - Barre, Sebastien (11%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkImagingFactory.h)`
  - .`cxx` (`/Rendering/vtkImagingFactory.cxx)`

Definition at line 41 of file vtkImagingFactory.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkImagingFactory * | New ()
int | IsTypeOf (const char *type)
vtkImagingFactory * | SafeDownCast (vtkObject *o)
vtkObject * | CreateInstance (const char *vtkclassname)
void | SetUseMesaClasses (int use)
int | GetUseMesaClasses ()
## Protected Methods
| vtkImagingFactory ()
## Static Protected Attributes
int | UseMesaClasses

## Member Typedef Documentation

typedef vtkObject vtkImagingFactory::Superclass

| Reimplemented from vtkObject. Definition at line 45 of file vtkImagingFactory.h.

## Constructor & Destructor Documentation

vtkImagingFactory::vtkImagingFactory | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkImagingFactory.h.

## Member Function Documentation

vtkImagingFactory* vtkImagingFactory::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImagingFactory::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkImagingFactory::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkImagingFactory::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkImagingFactory* vtkImagingFactory::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

virtual void vtkImagingFactory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkObject* vtkImagingFactory::CreateInstance | ( | const char * | vtkclassname | ) | `[static]`

| Create and return an instance of the named vtk object. This method first checks the vtkObjectFactory to support dynamic loading.

void vtkImagingFactory::SetUseMesaClasses | ( | int | use | ) | `[static]`

| This option enables the creation of Mesa classes instead of the OpenGL classes when using mangled Mesa.

int vtkImagingFactory::GetUseMesaClasses | ( |  | ) | `[static]`

| This option enables the creation of Mesa classes instead of the OpenGL classes when using mangled Mesa.

## Member Data Documentation

int vtkImagingFactory::UseMesaClasses`[static, protected]`

| Definition at line 62 of file vtkImagingFactory.h.

The documentation for this class was generated from the following file:

- Rendering/vtkImagingFactory.h